- Scroll over all companies
The list all companies functionality does not work well for huge datasets, and can result in errors and performance problems when paging deeply. The Scroll API provides an efficient mechanism for iterating over all companies in a dataset.
- Each app can only have 1 scroll open at a time. Starting a second one returns a
400error with codescroll_exists. - If the scroll isn't used for 1 minute, it expires and calls with that scroll param return a
404error with codenot_found. - If the end of the scroll is reached,
datawill be empty and the scroll parameter will expire.
The response always has pages and total_count set to null. Use scroll_param to fetch the next page.
You can get the first page of companies by simply sending a GET request to the scroll endpoint. For subsequent requests you will need to use the scroll parameter from the response.
Since scroll is often used on large datasets network errors such as timeouts can be encountered. When this occurs you will see a HTTP 500 error with the following message: "Request failed due to an internal network error. Please restart the scroll operation." If this happens, you will need to restart your scroll query: It is not possible to continue from a specific point when using scroll.
Requires the read_users_companies OAuth scope.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
- The production API serverhttps://api.intercom.io/companies/scroll
- The european API serverhttps://api.eu.intercom.io/companies/scroll
- The australian API serverhttps://api.au.intercom.io/companies/scroll
curl -i -X GET \
'https://api.intercom.io/companies/scroll?scroll_param=69352cd2-ab5b-42ac-b004-a13d4e55e9b0' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'Successful
{ "type": "list", "data": [ { … } ], "pages": null, "total_count": null, "scroll_param": "69352cd2-ab5b-42ac-b004-a13d4e55e9b0" }